# SSH Chat

A Peer to Peer chat client using Hyper-Protocol.

To install:

`git clone git@git.codingvm.codes:snxraven/sshChat-CLI.git`

`cd sshChat-CLI`

`npm i`

To run a new topic (room):

`node sshchat.mjs`

This will give you a connection topic to share:

```
/sshChat ❯ ✦ node sshChat.mjs
joined topic: 6076c0903ad293e24c10fceb501fe7b02425f6d26c7a5b2d015abd07e3e6b17b
(Share this key to others so they may join.)
You are now in a chatroom for your topic, feel free to chat.
```


To connect to an altready made topic (room) pass the hash on start up:


`node sshchat.mjs 6076c0903ad293e24c10fceb501fe7b02425f6d26c7a5b2d015abd07e3e6b17b`

# Commands

/login [API KEY] - Login to the API 

\>command here - Send a command to your container

/start - Start your container

/stop - Stop your container

/restart - restart your container

/stats - Get the containers stats


Screenshots:

A simple convo:
![ScreenShot](https://media.discordapp.net/attachments/818514972610134069/1061846943556435978/Unsaved_Image_1.jpg?width=1215&height=660)

Running commands while logged in:
![ScreenShot](https://media.discordapp.net/attachments/818514972610134069/1061839208064495617/Unsaved_Image_1.jpg?width=1215&height=660)


If a user does not login they will have a random annon1234 username.

